<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/TypeAnalysis/CVType.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::TypeAnalysis::CVType</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../TypeAnalysis.html" >TypeAnalysis</a>
</div><div class="class-name">class CVType

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/TypeAnalysis/Type.hh.html" target="detail">../Synopsis/TypeAnalysis/Type.hh</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line96" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="CVType-inheritance" src="CVType-inheritance.png" hspace="8" vspace="8" border="0" usemap="#CVType-inheritance_map" />
<map name="CVType-inheritance_map"><area alt="Scopes/Synopsis/TypeAnalysis/Type.html" href="Type.html" shape="rect" coords="15, 7, 204, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Enums Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="CVQualifier">CVQualifier</a> NONE, CONST, VOLATILE</div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType_mCVQualifier" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line99" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="CVType_lconst.Type_S_cCVQualifier_r">CVType</a>(const&#160;<a href="Type.html" >Type</a>* <span class="variable">type</span>, <a href="CVType.html#CVQualifier" >CVQualifier</a> <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType_mCVType_lconst.Type_S_cCVQualifier_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line103" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">[4]&#160;const&#160;std::string <a class="name" id="names">names</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType_mnames" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line106" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;<a href="Type.html" >Type</a>* <a class="name" id="my_type">my_type</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType_mmy_type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line108" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="CVType.html#CVQualifier" >CVQualifier</a> <a class="name" id="my_qual">my_qual</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mCVType_mmy_qual" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line109" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="NONE">NONE</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="CONST">CONST</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="VOLATILE">VOLATILE</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from Type">
<tr><td colspan="2" class="heading">Public Member functions Inherited from Type</td></tr>
<tr><td class="inherited"><a href="Type.html#name_l_rconst" title="member function Type::name&#40;&#41;const">name</a>,
<a href="Type.html#ref_l_rconst" title="member function Type::ref&#40;&#41;const">ref</a>,
<a href="Type.html#deref_l_rconst" title="member function Type::deref&#40;&#41;const">deref</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
